load("data_FigS1.mat")

figure('Color', 'w', 'Units', 'normalized', 'Position', [0.3 0.1 0.3 0.8])
subplot(3,1,1)
plot(co_dir*[1 1], [-10 50], 'Color', my_B)
hold on
plot(co_rec*[1 1], [-10 50], 'Color', my_R)
plot(Espec_hist_dir(idx_dir_contrast)/Up*[1 1], [-10 50], 'Color', my_G)
plot(Espec_hist_rec(idx_rec_contrast)/Up*[1 1], [-10 50], 'Color', my_G)
scatter(E_soll, S_soll, 3+50*w_soll, my_R, 'filled')
scatter(E_solld, S_solld, 3+50*w_solld, my_B, 'filled')
plot(Espec(Espec>co_rec*Up)/Up, theta_rec(Espec>co_rec*Up), '--', 'Color', my_G, 'LineWidth', 1.5)
plot(Espec(Espec<co_rec*Up)/Up, theta_rec(Espec<co_rec*Up), 'Color', my_G, 'LineWidth', 1.5)
plot(Espec(Espec>co_dir*Up)/Up, theta_dir(Espec>co_dir*Up), '--', 'Color', my_G, 'LineWidth', 1.5)
plot(Espec(Espec<co_dir*Up)/Up, theta_dir(Espec<co_dir*Up), 'Color', my_G, 'LineWidth', 1.5)
ylabel 'Phase [pi]'
box on
xlim([0 2.5])
ylim([0 20])
set(gca, 'FontSize', 12)

subplot(3,1,2)
plot(co_dir*[1 1], [-35 0], 'Color', my_B)
hold on
plot(co_rec*[1 1], [-35 0], 'Color', my_R)
plot(Espec_hist_dir(idx_dir_contrast)/Up*[1 1], [-30 0], 'Color', my_G)
plot(Espec_hist_rec(idx_rec_contrast)/Up*[1 1], [-30 0], 'Color', my_G)
plot([1.5 2.25], log10(rate_rec(idx_co_rec))*[1 1], 'Color', my_G)
plot([0.2 1], log10(rate_dir(idx_co_dir))*[1 1], 'Color', my_G)
plot(E_dir/Up, log10(rate_dir), 'Color', my_B, 'LineWidth', 1)
plot(E_rec/Up, log10(rate_rec), 'Color', my_R, 'LineWidth', 1)
scatter(E_soll, log10(w_soll*max_rate), 3+50*w_soll, my_R, 'filled')
scatter(E_solld, log10(w_solld*max_rate), 3+50*w_solld, my_B, 'filled')
ylabel 'rate'
box on
ylim([-20 -5])
xlim([0 2.5])
set(gca, 'FontSize', 12)

subplot(3,1,3)
plot(co_dir*[1 1], [0 1], 'Color', my_B)
hold on
plot(co_rec*[1 1], [0 1], 'Color', my_R)
plot(Espec_hist_dir(idx_dir_contrast)/Up*[1 1], [0 1], 'Color', my_G)
plot(Espec_hist_rec(idx_rec_contrast)/Up*[1 1], [0 1], 'Color', my_G)
plot([0 2.5], 0.1*[1 1], 'Color', my_Greylight)
plot(Espec_hist_dir/Up, contrast_dir, 'Color', my_B, 'LineWidth', 1)
plot(Espec_hist_rec/Up, contrast_rec, 'Color', my_R, 'LineWidth', 1)
xlabel 'Energy [Up]'
ylabel 'contrast'
box on
xlim([0 2.5])
ylim([0 0.15])
set(gca, 'FontSize', 12)
